Bug 17264 - default routes on ifalias setup
Summary: default routes on ifalias setup
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-05 20:34 UTC by Need Real Name
Modified: 2014-03-17 02:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-05 20:34:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-09-05 20:34:29 UTC
Hello,

ifup-aliases sets up new default routes for each configured 
[eth tested] interface. It uses GATEWAY from /etc/sysconfig/network
for that.
Seems to the author of this script just copied stuff from ifup to
ifup-aliases
Removing all default gateway stuff from ifup-aliases fixes this.
Who needs default gw's on each if-alias anyway?

Comment 1 Bill Nottingham 2000-10-02 22:10:15 UTC
This was fixed in an initscripts release at some point between
6.2 and 7.0.


Note You need to log in before you can comment on or make changes to this bug.